Name:          python-setuptools
Version:       11.3.1
Release:       1mamba
Summary:       Download, build, install, upgrade and uninstall Python packages
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pypi.python.org/pypi/setuptools
Source:        http://pypi.python.org/packages/source/s/setuptools/setuptools-%{version}.tar.gz
Source1:       psfl.txt
Source2:       zpl.txt
License:       PSF, ZPL
Requires:      python27 >= %python27_version
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython27-devel >= %python27_version
## AUTOBUILDREQ-END
Provides:      python-distribute
Obsoletes:     python-distribute
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.

This package contains the runtime components of setuptools, necessary to execute the software that requires pkg_resources.py.

%package devel
Summary:       Download, build, install, upgrade and uninstall Python packages
Group:         Development/Languages
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
setuptools is a collection of enhancements to the Python distutils that allow you to more easily build and distribute Python packages, especially ones that have dependencies on other packages.

This package contains the components necessary to build and install software requiring setuptools.

%prep
%setup -q -n setuptools-%{version}
find . -name '*.txt' -exec chmod -x '{}' ';'
find . -name '*.py'  -exec sed -i '1s,^#!python,#!%{__python27},' '{}' ';'

%build
CFLAGS="%{optflags}" %{__python27} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python27} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python%{python27_version} \
   --install-lib=%{python27_sitearch} \
   --record=%{name}.filelist

sed -i '\,\.egg-info/,d' %{name}.filelist

install -p -m 0644 %{S:1} %{S:2} .

rm -rf %{buildroot}%{python27_sitelib}/setuptools/tests
find %{buildroot}%{python27_sitearch} -name '*.exe' -exec rm -f '{}' ';'
sed -i '\,\.exe$,d;\,/tests/,d' %{name}.filelist

chmod +x %{buildroot}%{python27_sitearch}/setuptools/command/easy_install.py

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{python_sitearch}/setuptools
%{python_sitearch}/setuptools/*
%{python_sitearch}/_markerlib/*
%dir %{python27_sitearch}/pkg_resources
%{python27_sitearch}/pkg_resources/*
%dir %{python_sitearch}/setuptools-%{version}-py%{python_version}.egg-info
%{python_sitearch}/setuptools-%{version}-py%{python_version}.egg-info/*

%files devel
%defattr(-,root,root,-)
%{_bindir}/easy_install*
%{python27_sitearch}/easy_install*
%doc README.txt
#%doc psfl.txt zpl.txt

%changelog
* Thu Jan 08 2015 Automatic Build System <autodist@mambasoft.it> 11.3.1-1mamba
- automatic version update by autodist

* Tue Jan 06 2015 Automatic Build System <autodist@mambasoft.it> 11.3-1mamba
- automatic version update by autodist

* Mon Jan 05 2015 Automatic Build System <autodist@mambasoft.it> 11.1-1mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 11.0-2mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 11.0-1mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 10.2.1-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 10.1-1mamba
- automatic version update by autodist

* Tue Dec 23 2014 Automatic Build System <autodist@mambasoft.it> 8.2.1-1mamba
- automatic update by autodist

* Thu Dec 18 2014 Automatic Build System <autodist@mambasoft.it> 8.2-1mamba
- automatic update by autodist

* Tue Dec 16 2014 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Mon Dec 15 2014 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Sun Dec 14 2014 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Sun Oct 19 2014 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic version update by autodist

* Sun Oct 12 2014 Automatic Build System <autodist@mambasoft.it> 6.1-1mamba
- automatic version update by autodist

* Wed Oct 01 2014 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 5.8-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 5.7-1mamba
- automatic version update by autodist

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 5.5-1mamba
- automatic version update by autodist

* Sun Aug 03 2014 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Sun Jul 06 2014 Automatic Build System <autodist@mambasoft.it> 5.4-1mamba
- automatic version update by autodist

* Sun Jun 29 2014 Automatic Build System <autodist@mambasoft.it> 5.3-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 5.2-1mamba
- automatic version update by autodist

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 5.1-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 5.0-1mamba
- automatic version update by autodist

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed May 07 2014 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Sun May 04 2014 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Sun May 04 2014 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Fri Apr 11 2014 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Mon Apr 07 2014 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sun Mar 16 2014 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Sat Feb 08 2014 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2014 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Fri Dec 20 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Dec 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- update to 2.0

* Sun Dec 08 2013 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Wed Dec 04 2013 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Automatic Build System <autodist@mambasoft.it> 1.3-2mamba
- rebuilt because previous release was built with a buggy rpm release

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Mon Sep 23 2013 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic update by autodist

* Sun Aug 25 2013 Automatic Build System <autodist@mambasoft.it> 1.0-1mamba
- automatic version update by autodist

* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8-1mamba
- automatic version update by autodist

* Sun Jun 30 2013 Automatic Build System <autodist@mambasoft.it> 0.7.5-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6c11-3mamba
- rebuilt with python 2.7

* Fri Apr 09 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.6c11-2mamba
- specfile fixed and updated

* Fri Nov 27 2009 gil <puntogil@libero.it> 0.6c11-1mamba
- update to 0.6c11

* Wed Feb 11 2009 gil <puntogil@libero.it> 0.6c9-2mamba
- rebuilt with python 2.4.x

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6c9-1mamba
- update to 0.6c9

* Sat Aug 30 2008 gil <puntogil@libero.it> 0.6c8-1mamba
- update to 0.6c8
- added package devel

* Fri Mar 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6c5-1mamba
- package created by autospec
